View Issue Details

IDProjectCategoryView StatusLast Update
0002072Industrial-Craft²Agriculture / crops / Boozeceptionpublic2017-01-04 16:33
Reporterdarkavatar23Assigned ToAroma1997 
PrioritylowSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformpc with java x64OSWindowsOS Version7
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002072: Crop Stick
DescriptionCrop stick missing texture , and crash after placing seed on it
Steps To Reproduceput Crop on terrain,take seed and right click over it
Additional InformationVersion ic2

http://jenkins.ic2.player.to/job/IC2_110/134/

TagsNo tags attached.
Minecraft Version1.10

Activities

darkavatar23

2016-12-27 12:01

reporter  

Immagine.png (182,543 bytes)
Immagine.png (182,543 bytes)

darkavatar23

2016-12-27 12:08

reporter  

crash-2016-12-27_13.07.01-client.txt (9,761 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  TransformerLoader (OpenComputers-MC1.10-1.6.0.2-beta.4.jar)
  IC2core (industrialcraft-2-2.6.139-ex110.jar)
Contact their authors BEFORE contacting forge

// I'm sorry, Dave.

Time: 27/12/16 13.07
Description: Unexpected error

java.lang.NullPointerException: Unexpected error
	at ic2.core.crop.TileEntityCrop.onActivated(TileEntityCrop.java:526)
	at ic2.core.block.BlockTileEntity.func_180639_a(BlockTileEntity.java:573)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187099_a(PlayerControllerMP.java:410)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1518)
	at net.minecraft.client.Minecraft.redirect$onRightClickMouse$0(Minecraft.java:146)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2184)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1961)
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1749)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1055)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.crop.TileEntityCrop.onActivated(TileEntityCrop.java:526)
	at ic2.core.block.BlockTileEntity.func_180639_a(BlockTileEntity.java:573)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187099_a(PlayerControllerMP.java:410)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1518)
	at net.minecraft.client.Minecraft.redirect$onRightClickMouse$0(Minecraft.java:146)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2184)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1961)

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['Darkavatar23'/133, l='MpServer', x=182,60, y=65,00, z=-124,45]]
	Chunk stats: MultiplayerChunkCache: 729, 729
	Level seed: 0
	Level generator: ID 00 - default, ver 1. Features enabled: false
	Level generator options: 
	Level spawn location: World: (8,64,8), Chunk: (at 8,4,8 in 0,0; contains blocks 0,0,0 to 15,255,15), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 3877226 game time, 833170 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: false
	Forced entities: 47 total; [EntityPlayerSP['Darkavatar23'/133, l='MpServer', x=182,60, y=65,00, z=-124,45], EntitySkeleton['Skeleton'/1560, l='MpServer', x=259,50, y=29,00, z=-94,50], EntitySkeleton['Skeleton'/1305, l='MpServer', x=203,50, y=41,00, z=-165,50], EntityArmorStand['Armour Stand'/35, l='MpServer', x=190,50, y=113,00, z=-128,50], EntityWolf['Wolf'/38, l='MpServer', x=190,94, y=113,00, z=-122,88], EntitySkeleton['Skeleton'/1575, l='MpServer', x=175,50, y=19,00, z=-54,50], EntitySkeleton['Skeleton'/1576, l='MpServer', x=175,50, y=19,00, z=-54,50], EntityChicken['Chicken'/42, l='MpServer', x=205,20, y=64,63, z=-136,62], EntityZombie['Zombie'/1322, l='MpServer', x=257,50, y=14,00, z=-62,50], EntityItem['item.item.egg'/43, l='MpServer', x=205,13, y=64,63, z=-136,70], EntityWolf['Wolf'/44, l='MpServer', x=197,32, y=113,00, z=-128,28], EntityArmorStand['Armour Stand'/45, l='MpServer', x=192,50, y=113,00, z=-128,50], EntityCreeper['Creeper'/1197, l='MpServer', x=199,50, y=29,00, z=-114,50], EntityCreeper['Creeper'/1453, l='MpServer', x=243,50, y=14,00, z=-63,50], EntityArmorStand['Armour Stand'/46, l='MpServer', x=193,50, y=113,00, z=-128,50], EntityArmorStand['Armour Stand'/47, l='MpServer', x=195,50, y=113,00, z=-128,50], EntityBat['Bat'/1199, l='MpServer', x=177,25, y=23,00, z=-146,25], EntityArmorStand['Armour Stand'/48, l='MpServer', x=196,50, y=113,00, z=-128,50], EntitySkeleton['Skeleton'/1200, l='MpServer', x=261,50, y=15,00, z=-73,50], EntityArmorStand['Armour Stand'/49, l='MpServer', x=200,50, y=113,00, z=-128,50], EntityArmorStand['Armour Stand'/51, l='MpServer', x=200,50, y=113,00, z=-126,50], EntityArmorStand['Armour Stand'/52, l='MpServer', x=200,50, y=113,00, z=-125,50], EntityArmorStand['Armour Stand'/53, l='MpServer', x=200,50, y=113,00, z=-123,50], EntityArmorStand['Armour Stand'/54, l='MpServer', x=200,50, y=113,00, z=-122,50], EntityArmorStand['Armour Stand'/55, l='MpServer', x=200,50, y=113,00, z=-120,50], EntityArmorStand['Armour Stand'/56, l='MpServer', x=200,50, y=113,00, z=-119,50], EntityArmorStand['Armour Stand'/57, l='MpServer', x=200,50, y=113,00, z=-117,50], EntityArmorStand['Armour Stand'/58, l='MpServer', x=200,50, y=113,00, z=-116,50], EntityArmorStand['Armour Stand'/59, l='MpServer', x=199,50, y=113,00, z=-114,50], EntityZombie['Zombie'/1467, l='MpServer', x=192,50, y=17,00, z=-143,50], EntityCreeper['Creeper'/1216, l='MpServer', x=252,50, y=17,00, z=-73,50], EntitySquid['Squid'/468, l='MpServer', x=121,75, y=58,94, z=-67,14], EntitySquid['Squid'/469, l='MpServer', x=122,34, y=55,46, z=-63,86], EntitySquid['Squid'/471, l='MpServer', x=120,17, y=56,44, z=-60,82], EntityZombie['Zombie'/1243, l='MpServer', x=258,48, y=13,00, z=-45,28], EntityCreeper['Creeper'/1372, l='MpServer', x=198,50, y=15,00, z=-60,50], EntityEnderman['Enderman'/1513, l='MpServer', x=162,50, y=24,00, z=-63,50], EntityCreeper['Creeper'/1258, l='MpServer', x=261,50, y=29,00, z=-94,50], EntityCreeper['Creeper'/1259, l='MpServer', x=259,50, y=29,00, z=-91,01], EntityCreeper['Creeper'/1260, l='MpServer', x=260,50, y=29,00, z=-92,50], EntityCreeper['Creeper'/1261, l='MpServer', x=259,50, y=29,00, z=-90,30], EntityBat['Bat'/1263, l='MpServer', x=189,75, y=16,00, z=-118,25], EntityBat['Bat'/1264, l='MpServer', x=189,75, y=15,00, z=-120,48], EntityCreeper['Creeper'/1395, l='MpServer', x=243,50, y=16,00, z=-202,50], EntityCreeper['Creeper'/1396, l='MpServer', x=247,50, y=16,00, z=-204,50], EntityZombie['Zombie'/1397, l='MpServer', x=247,50, y=16,00, z=-204,50], EntitySpider['Spider'/1400, l='MpServer', x=259,50, y=25,00, z=-80,50]]
	Retry entities: 0 total; []
	Server brand: fml,forge
	Server type: Integrated singleplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:414)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2660)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:400)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.10
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_91, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 850420960 bytes (811 MB) / 1494822912 bytes (1425 MB) up to 3207856128 bytes (3059 MB)
	JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx3G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.32 Powered by Forge 12.18.0.2000 7 mods loaded, 7 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10-12.18.0.2000-1.10.0.jar) 
	UCHIJAAAA	Forge{12.18.0.2000} [Minecraft Forge] (forge-1.10-12.18.0.2000-1.10.0.jar) 
	UCHIJAAAA	OpenComputers|Core{1.6.0.2-beta.4} [OpenComputers (Core)] (minecraft.jar) 
	UCHIJAAAA	ExtraUtils2{1.0} [ExtraUtils2] (extrautils2-1.10-alpha-1.0.0.jar) 
	UCHIJAAAA	IC2{2.6.139-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.139-ex110.jar) 
	UCHIJAAAA	OpenComputers{1.6.0.2-beta.4} [OpenComputers] (OpenComputers-MC1.10-1.6.0.2-beta.4.jar) 
	Loaded coremods (and transformers): 
TransformerLoader (OpenComputers-MC1.10-1.6.0.2-beta.4.jar)
  li.cil.oc.common.asm.ClassTransformer
IC2core (industrialcraft-2-2.6.139-ex110.jar)
  
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.5.0 NVIDIA 375.70' Renderer: 'GeForce GTX 670/PCIe/SSE2'
	Launched Version: 1.10
	LWJGL: 2.9.4
	OpenGL: GeForce GTX 670/PCIe/SSE2 GL version 4.5.0 NVIDIA 375.70, NVIDIA Corporation
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: 
	Current Language: English (United Kingdom)
	Profiler Position: N/A (disabled)
	CPU: 8x Intel(R) Core(TM) i7-3820 CPU @ 3.60GHz

Aroma1997

2016-12-27 13:06

developer   ~0004981

Crops aren't fully in the game yet. The block you got is notwhat you'd get normally. In the version, where crops are somewhat working, this will work.

Issue History

Date Modified Username Field Change
2016-12-27 12:01 darkavatar23 New Issue
2016-12-27 12:01 darkavatar23 File Added: Immagine.png
2016-12-27 12:08 darkavatar23 File Added: crash-2016-12-27_13.07.01-client.txt
2016-12-27 13:06 Aroma1997 Note Added: 0004981
2016-12-27 13:06 Aroma1997 Status new => closed
2016-12-27 13:06 Aroma1997 Assigned To => Aroma1997
2016-12-27 13:06 Aroma1997 Resolution open => suspended
2017-01-04 16:33 Aroma1997 Status closed => resolved
2017-01-04 16:33 Aroma1997 Resolution suspended => fixed
2017-01-04 16:33 Aroma1997 Fixed in Version => Builds for MC 1.10.x